Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.common.usermodel
Interface Hyperlink

All Known Subinterfaces:
  Hyperlink

All Known Implementing Classes:
  HSSFHyperlink

    public interface Hyperlink

Represents a hyperlink.

Field Summary
`static int` | `LINK_DOCUMENT` Link to a place in this document
`static int` | `LINK_EMAIL` Link to an E-mail address
`static int` | `LINK_FILE` Link to a file
`static int` | `LINK_URL` Link to a existing file or web page

Method Summary
`java.lang.String` | `getAddress()` Hypelink address.
`java.lang.String` | `getLabel()` Return text label for this hyperlink
`int` | `getType()` Return the type of this hyperlink
`void` | `setAddress(java.lang.String address)` Hypelink address.
`void` | `setLabel(java.lang.String label)` Sets text label for this hyperlink

Field Detail

### LINK_URL

    static final int LINK_URL

  Link to a existing file or web page

  See Also:
    Constant Field Values

### LINK_DOCUMENT

    static final int LINK_DOCUMENT

  Link to a place in this document

  See Also:
    Constant Field Values

### LINK_EMAIL

    static final int LINK_EMAIL

  Link to an E-mail address

  See Also:
    Constant Field Values

### LINK_FILE

    static final int LINK_FILE

  Link to a file

  See Also:
    Constant Field Values

Method Detail

### getAddress

    java.lang.String getAddress()

  Hypelink address. Depending on the hyperlink type it can be URL, e-mail, patrh to a file, etc.

  Returns:
    the address of this hyperlink

### setAddress

    void setAddress(java.lang.String address)

  Hypelink address. Depending on the hyperlink type it can be URL, e-mail, patrh to a file, etc.

  Parameters:
    `address` - the address of this hyperlink

### getLabel

    java.lang.String getLabel()

  Return text label for this hyperlink

  Returns:
    text to display

### setLabel

    void setLabel(java.lang.String label)

  Sets text label for this hyperlink

  Parameters:
    `label` - text label for this hyperlink

### getType

    int getType()

  Return the type of this hyperlink

  Returns:
    the type of this hyperlink

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD